> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-en/rest-api/midapi-v2/voice-services/voice-enrollment.md).

# Voice Enrollment

Service that generates a voice template from the captured audios and returns the validation result of each audio.

### Endpoint

```
POST /biometric/voice/enrollment
```

### Headers

| Name              | Type   | Required | Description                                                                                                                   |
| ----------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **Authorization** | string | **Yes**  | Consumer Token in Bearer format `Bearer <token>`. See [Authentication](/docs.facephi-en/rest-api/midapi-v2/autenticacion.md). |
| **consumer-id**   | string | **Yes**  | Consumer identifier.                                                                                                          |

### Request body

**Content-Type:** `application/json`

#### Parameters

| Parameter | Type  | Required | Description                                    |
| --------- | ----- | -------- | ---------------------------------------------- |
| `audios`  | array | **Yes**  | Capture audios, in Base64, in recording order. |

#### Request example

```json
{
  "audios": ["<base64 audio 1>", "<base64 audio 2>", "<base64 audio 3>"]
}
```

### Responses

#### `200` Success

#### Response parameters

| Parameter              | Type    | Description                                                     |
| ---------------------- | ------- | --------------------------------------------------------------- |
| `consumerId`           | string  | Identifier of the consumer that made the call.                  |
| `transactionId`        | string  | Transaction identifier.                                         |
| `timestamp`            | string  | Response timestamp in format **ISO 8601**.                      |
| `message`              | string  | Descriptive field for the result of the service execution.      |
| `operationResult`      | integer | Result code of the service execution.                           |
| `template`             | string  | Resulting voice template.                                       |
| `templateType`         | string  | Type of generated template.                                     |
| `validateAudiosResult` | array   | Per audio result. See [Per audio result](#resultado-por-audio). |

#### Per audio result

| Parameter                          | Type    | Description                                   |
| ---------------------------------- | ------- | --------------------------------------------- |
| `audio_position`                   | integer | Audio position in the request.                |
| `result_code`                      | integer | Audio result code.                            |
| `matching_score`                   | number  | Audio matching score.                         |
| `snr_db_detected`                  | number  | Detected signal-to-noise ratio, in decibels.  |
| `speech_length_ms_detected`        | integer | Detected speech duration, in milliseconds.    |
| `speech_relative_length_detected`  | number  | Speech proportion relative to total duration. |
| `multiple_speakers_score_detected` | number  | Multiple speakers detection score.            |

#### Other responses

| Code  | Description                                                          |
| ----- | -------------------------------------------------------------------- |
| `400` | Required field missing or unsupported audio format.                  |
| `401` | Missing, invalid, or expired Token.                                  |
| `403` | The consumer is not provisioned with the service `VOICE_ENROLLMENT`. |

The body of an error response has the form described in [MIDAPI v2](/docs.facephi-en/rest-api/midapi-v2.md#respuestas-de-error).
